Subsections

- Name
- Synopsys
- Description
- Parameters
- Example
- Errors
- See Also

##
DefAb

### Name

DefAb - Creates the abutment box of the current cell

### Synopsys

    DefAb ( point1, point2 )

### Description

This function creates the abutment box of the current cell.

Note that one does not have to call this function before saving in order to create the abutment box. The abutment box is created nevertheless (given to placed instances). This function is usefull if one wants to create an abutment before placing the instances.

### Parameters

- `point1` : coordinates of the bottom left corner of the created abutment box.
- `point2` : coordinates of the top right corner of the created abutment box.

### Example

    DefAb ( XY(0, 0), XY(500, 100) )

    Place ( self.inst, NOSYM, XY(0, 0) )

### Errors

Some errors may occur :

- `[Stratus ERROR] DefAb : an abutment box already exists.`
  `Maybe you should use ResizeAb function.`
  One has called DefAb but the current cell already has an abutment box.
  In order to modify the current abutment box, the function to call is ResizeAb.
- `[Stratus ERROR] DefAb : wrong argument,`
  `the coordinates must be put in a XY object.`
  The type of one of the arguments is not correct. Coordinates must be put in a `XY` object.
- `[Stratus ERROR] DefAb :`
  `Coordinates of an abutment Box in y must be multiple of the slice.`
  `Coordinates of an abutment Box in x must be multiple of the pitch.`
  One has called DefAb with non authorized values.

### See Also

Introduction Place PlaceTop PlaceBottom PlaceRight PlaceLeft SetRefIns ResizeAb